Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## djbuch.kapitel_13
Class DJDocument

    java.lang.Object
      |
      +--djbuch.kapitel_13.DJDocument

Direct Known Subclasses:
  CMSDocument, NLDocument

public class DJDocument
extends java.lang.Object

Author:
  Thomas Ekert

Constructor Summary
`DJDocument(Document initialDoc)`

Method Summary
`Item` | `appendItemValue(java.lang.String arg0)`
`Item` | `appendItemValue(java.lang.String arg0, double arg1)`
`Item` | `appendItemValue(java.lang.String arg0, int arg1)`
`Item` | `appendItemValue(java.lang.String arg0, java.lang.Object arg1)`
`boolean` | `closeMIMEEntities()`
`boolean` | `closeMIMEEntities(boolean arg0)`
`boolean` | `closeMIMEEntities(boolean arg0, java.lang.String arg1)`
`boolean` | `computeWithForm(boolean arg0, boolean arg1)`
`void` | `copyAllItems(Document arg0, boolean arg1)`
`Item` | `copyItem(Item arg0)`
`Item` | `copyItem(Item arg0, java.lang.String arg1)`
`Document` | `copyToDatabase(Database arg0)`
`MIMEEntity` | `createMIMEEntity()`
`MIMEEntity` | `createMIMEEntity(java.lang.String arg0)`
`Document` | `createReplyMessage(boolean arg0)`
`RichTextItem` | `createRichTextItem(java.lang.String arg0)`
`void` | `encrypt()`
`java.lang.String` | `generateXML()`
`void` | `generateXML(java.lang.Object arg0, XSLTResultTarget arg1)`
`void` | `generateXML(java.io.Writer arg0)`
`EmbeddedObject` | `getAttachment(java.lang.String arg0)`
`java.util.Vector` | `getAuthors()`
`java.util.Vector` | `getColumnValues()`
`DateTime` | `getCreated()`
`Document` | `getDoc()`
`java.util.Vector` | `getEmbeddedObjects()`
`java.util.Vector` | `getEncryptionKeys()`
`Item` | `getFirstItem(java.lang.String arg0)`
`java.util.Vector` | `getFolderReferences()`
`int` | `getFTSearchScore()`
`java.lang.String` | `getHttpURL()`
`java.util.Vector` | `getItems()`
`java.util.Vector` | `getItemValue(java.lang.String arg0)`
`java.lang.Object` | `getItemValueCustomData(java.lang.String arg0)`
`java.lang.Object` | `getItemValueCustomData(java.lang.String arg0, java.lang.String arg1)`
`byte[]` | `getItemValueCustomDataBytes(java.lang.String arg0, java.lang.String arg1)`
`java.util.Vector` | `getItemValueDateTimeArray(java.lang.String arg0)`
`double` | `getItemValueDouble(java.lang.String arg0)`
`int` | `getItemValueInteger(java.lang.String arg0)`
`java.lang.String` | `getItemValueString(java.lang.String arg0)`
`java.lang.String` | `getKey()`
`DateTime` | `getLastAccessed()`
`DateTime` | `getLastModified()`
`java.util.Vector` | `getLockHolders()`
`MIMEEntity` | `getMIMEEntity()`
`MIMEEntity` | `getMIMEEntity(java.lang.String arg0)`
`java.lang.String` | `getNameOfProfile()`
`java.lang.String` | `getNoteID()`
`java.lang.String` | `getNotesURL()`
`Database` | `getParentDatabase()`
`java.lang.String` | `getParentDocumentUNID()`
`View` | `getParentView()`
`java.util.Vector` | `getReceivedItemText()`
`DocumentCollection` | `getResponses()`
`java.lang.String` | `getSigner()`
`int` | `getSize()`
`java.lang.String` | `getUniversalID()`
`java.lang.String` | `getURL()`
`java.lang.String` | `getVerifier()`
`boolean` | `hasEmbedded()`
`boolean` | `hasItem(java.lang.String arg0)`
`boolean` | `isDeleted()`
`boolean` | `isEncrypted()`
`boolean` | `isEncryptOnSend()`
`boolean` | `isNewNote()`
`boolean` | `isProfile()`
`boolean` | `isResponse()`
`boolean` | `isSaveMessageOnSend()`
`boolean` | `isSentByAgent()`
`boolean` | `isSigned()`
`boolean` | `isSignOnSend()`
`boolean` | `isValid()`
`boolean` | `lock()`
`boolean` | `lock(boolean arg0)`
`boolean` | `lock(java.lang.String arg0)`
`boolean` | `lock(java.lang.String arg0, boolean arg1)`
`boolean` | `lock(java.util.Vector arg0)`
`boolean` | `lock(java.util.Vector arg0, boolean arg1)`
`boolean` | `lockProvisional()`
`boolean` | `lockProvisional(java.lang.String arg0)`
`boolean` | `lockProvisional(java.util.Vector arg0)`
`void` | `makeResponse(Document arg0)`
`void` | `putInFolder(java.lang.String arg0)`
`void` | `putInFolder(java.lang.String arg0, boolean arg1)`
`void` | `recycle()`
`void` | `recycle(java.util.Vector arg0)`
`boolean` | `remove(boolean arg0)`
`void` | `removeFromFolder(java.lang.String arg0)`
`void` | `removeItem(java.lang.String arg0)`
`boolean` | `removePermanently(boolean arg0)`
`boolean` | `renderToRTItem(RichTextItem arg0)`
`Item` | `replaceItemValue(java.lang.String arg0, java.lang.Object arg1)`
`Item` | `replaceItemValueCustomData(java.lang.String arg0, java.lang.Object arg1)`
`Item` | `replaceItemValueCustomData(java.lang.String arg0, java.lang.String arg1, java.lang.Object arg2)`
`Item` | `replaceItemValueCustomDataBytes(java.lang.String arg0, java.lang.String arg1, byte[] arg2)`
`boolean` | `save()`
`boolean` | `save(boolean arg0)`
`boolean` | `save(boolean arg0, boolean arg1)`
`boolean` | `save(boolean arg0, boolean arg1, boolean arg2)`
`void` | `send()`
`void` | `send(boolean arg0)`
`void` | `send(boolean arg0, java.lang.String arg1)`
`void` | `send(boolean arg0, java.util.Vector arg1)`
`void` | `send(java.lang.String arg0)`
`void` | `send(java.util.Vector arg0)`
`void` | `setDoc(Document initialDoc)`
`void` | `setEncryptionKeys(java.util.Vector arg0)`
`void` | `setEncryptOnSend(boolean arg0)`
`void` | `setSaveMessageOnSend(boolean arg0)`
`void` | `setSignOnSend(boolean arg0)`
`void` | `setUniversalID(java.lang.String arg0)`
`void` | `sign()`
`void` | `unlock()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DJDocument

    public DJDocument(Document initialDoc)

Method Detail

### getDoc

    public Document getDoc()

### setDoc

    public void setDoc(Document initialDoc)

### makeResponse

    public void makeResponse(Document arg0)
                      throws NotesException

    `NotesException`

### copyAllItems

    public void copyAllItems(Document arg0,
                             boolean arg1)
                      throws NotesException

    `NotesException`

### remove

    public boolean remove(boolean arg0)
                   throws NotesException

    `NotesException`

### removePermanently

    public boolean removePermanently(boolean arg0)
                              throws NotesException

    `NotesException`

### recycle

    public void recycle()
                 throws NotesException

    `NotesException`

### recycle

    public void recycle(java.util.Vector arg0)
                 throws NotesException

    `NotesException`

### appendItemValue

    public Item appendItemValue(java.lang.String arg0,
                                java.lang.Object arg1)
                         throws NotesException

    `NotesException`

### appendItemValue

    public Item appendItemValue(java.lang.String arg0)
                         throws NotesException

    `NotesException`

### appendItemValue

    public Item appendItemValue(java.lang.String arg0,
                                int arg1)
                         throws NotesException

    `NotesException`

### appendItemValue

    public Item appendItemValue(java.lang.String arg0,
                                double arg1)
                         throws NotesException

    `NotesException`

### closeMIMEEntities

    public boolean closeMIMEEntities()
                              throws NotesException

    `NotesException`

### closeMIMEEntities

    public boolean closeMIMEEntities(boolean arg0)
                              throws NotesException

    `NotesException`

### closeMIMEEntities

    public boolean closeMIMEEntities(boolean arg0,
                                     java.lang.String arg1)
                              throws NotesException

    `NotesException`

### computeWithForm

    public boolean computeWithForm(boolean arg0,
                                   boolean arg1)
                            throws NotesException

    `NotesException`

### copyItem

    public Item copyItem(Item arg0,
                         java.lang.String arg1)
                  throws NotesException

    `NotesException`

### copyItem

    public Item copyItem(Item arg0)
                  throws NotesException

    `NotesException`

### copyToDatabase

    public Document copyToDatabase(Database arg0)
                            throws NotesException

    `NotesException`

### createMIMEEntity

    public MIMEEntity createMIMEEntity()
                                throws NotesException

    `NotesException`

### createMIMEEntity

    public MIMEEntity createMIMEEntity(java.lang.String arg0)
                                throws NotesException

    `NotesException`

### createRichTextItem

    public RichTextItem createRichTextItem(java.lang.String arg0)
                                    throws NotesException

    `NotesException`

### createReplyMessage

    public Document createReplyMessage(boolean arg0)
                                throws NotesException

    `NotesException`

### encrypt

    public void encrypt()
                 throws NotesException

    `NotesException`

### getAttachment

    public EmbeddedObject getAttachment(java.lang.String arg0)
                                 throws NotesException

    `NotesException`

### getAuthors

    public java.util.Vector getAuthors()
                                throws NotesException

    `NotesException`

### getColumnValues

    public java.util.Vector getColumnValues()
                                     throws NotesException

    `NotesException`

### getCreated

    public DateTime getCreated()
                        throws NotesException

    `NotesException`

### getEmbeddedObjects

    public java.util.Vector getEmbeddedObjects()
                                        throws NotesException

    `NotesException`

### getEncryptionKeys

    public java.util.Vector getEncryptionKeys()
                                       throws NotesException

    `NotesException`

### setEncryptionKeys

    public void setEncryptionKeys(java.util.Vector arg0)
                           throws NotesException

    `NotesException`

### getFirstItem

    public Item getFirstItem(java.lang.String arg0)
                      throws NotesException

    `NotesException`

### getFTSearchScore

    public int getFTSearchScore()
                         throws NotesException

    `NotesException`

### getLastAccessed

    public DateTime getLastAccessed()
                             throws NotesException

    `NotesException`

### getLastModified

    public DateTime getLastModified()
                             throws NotesException

    `NotesException`

### getFolderReferences

    public java.util.Vector getFolderReferences()
                                         throws NotesException

    `NotesException`

### getMIMEEntity

    public MIMEEntity getMIMEEntity()
                             throws NotesException

    `NotesException`

### getMIMEEntity

    public MIMEEntity getMIMEEntity(java.lang.String arg0)
                             throws NotesException

    `NotesException`

### getItems

    public java.util.Vector getItems()
                              throws NotesException

    `NotesException`

### getItemValue

    public java.util.Vector getItemValue(java.lang.String arg0)
                                  throws NotesException

    `NotesException`

### getItemValueString

    public java.lang.String getItemValueString(java.lang.String arg0)
                                        throws NotesException

    `NotesException`

### getItemValueInteger

    public int getItemValueInteger(java.lang.String arg0)
                            throws NotesException

    `NotesException`

### getItemValueDouble

    public double getItemValueDouble(java.lang.String arg0)
                              throws NotesException

    `NotesException`

### getItemValueCustomData

    public java.lang.Object getItemValueCustomData(java.lang.String arg0,
                                                   java.lang.String arg1)
                                            throws java.io.IOException,
                                                   java.lang.ClassNotFoundException,
                                                   NotesException

    `java.io.IOException`
    `java.lang.ClassNotFoundException`
    `NotesException`

### getItemValueCustomData

    public java.lang.Object getItemValueCustomData(java.lang.String arg0)
                                            throws java.io.IOException,
                                                   java.lang.ClassNotFoundException,
                                                   NotesException

    `java.io.IOException`
    `java.lang.ClassNotFoundException`
    `NotesException`

### getItemValueCustomDataBytes

    public byte[] getItemValueCustomDataBytes(java.lang.String arg0,
                                              java.lang.String arg1)
                                       throws java.io.IOException,
                                              NotesException

    `java.io.IOException`
    `NotesException`

### getItemValueDateTimeArray

    public java.util.Vector getItemValueDateTimeArray(java.lang.String arg0)
                                               throws NotesException

    `NotesException`

### getKey

    public java.lang.String getKey()
                            throws NotesException

    `NotesException`

### getNameOfProfile

    public java.lang.String getNameOfProfile()
                                      throws NotesException

    `NotesException`

### getNoteID

    public java.lang.String getNoteID()
                               throws NotesException

    `NotesException`

### getParentDatabase

    public Database getParentDatabase()
                               throws NotesException

    `NotesException`

### getParentDocumentUNID

    public java.lang.String getParentDocumentUNID()
                                           throws NotesException

    `NotesException`

### getParentView

    public View getParentView()
                       throws NotesException

    `NotesException`

### getResponses

    public DocumentCollection getResponses()
                                    throws NotesException

    `NotesException`

### getSigner

    public java.lang.String getSigner()
                               throws NotesException

    `NotesException`

### getSize

    public int getSize()
                throws NotesException

    `NotesException`

### getUniversalID

    public java.lang.String getUniversalID()
                                    throws NotesException

    `NotesException`

### setUniversalID

    public void setUniversalID(java.lang.String arg0)
                        throws NotesException

    `NotesException`

### getVerifier

    public java.lang.String getVerifier()
                                 throws NotesException

    `NotesException`

### hasEmbedded

    public boolean hasEmbedded()
                        throws NotesException

    `NotesException`

### hasItem

    public boolean hasItem(java.lang.String arg0)
                    throws NotesException

    `NotesException`

### isEncrypted

    public boolean isEncrypted()
                        throws NotesException

    `NotesException`

### isEncryptOnSend

    public boolean isEncryptOnSend()
                            throws NotesException

    `NotesException`

### setEncryptOnSend

    public void setEncryptOnSend(boolean arg0)
                          throws NotesException

    `NotesException`

### isNewNote

    public boolean isNewNote()
                      throws NotesException

    `NotesException`

### isProfile

    public boolean isProfile()
                      throws NotesException

    `NotesException`

### isResponse

    public boolean isResponse()
                       throws NotesException

    `NotesException`

### isSigned

    public boolean isSigned()
                     throws NotesException

    `NotesException`

### isValid

    public boolean isValid()
                    throws NotesException

    `NotesException`

### isSaveMessageOnSend

    public boolean isSaveMessageOnSend()
                                throws NotesException

    `NotesException`

### setSaveMessageOnSend

    public void setSaveMessageOnSend(boolean arg0)
                              throws NotesException

    `NotesException`

### isSentByAgent

    public boolean isSentByAgent()
                          throws NotesException

    `NotesException`

### isSignOnSend

    public boolean isSignOnSend()
                         throws NotesException

    `NotesException`

### setSignOnSend

    public void setSignOnSend(boolean arg0)
                       throws NotesException

    `NotesException`

### isDeleted

    public boolean isDeleted()
                      throws NotesException

    `NotesException`

### putInFolder

    public void putInFolder(java.lang.String arg0)
                     throws NotesException

    `NotesException`

### putInFolder

    public void putInFolder(java.lang.String arg0,
                            boolean arg1)
                     throws NotesException

    `NotesException`

### removeFromFolder

    public void removeFromFolder(java.lang.String arg0)
                          throws NotesException

    `NotesException`

### removeItem

    public void removeItem(java.lang.String arg0)
                    throws NotesException

    `NotesException`

### renderToRTItem

    public boolean renderToRTItem(RichTextItem arg0)
                           throws NotesException

    `NotesException`

### replaceItemValue

    public Item replaceItemValue(java.lang.String arg0,
                                 java.lang.Object arg1)
                          throws NotesException

    `NotesException`

### replaceItemValueCustomData

    public Item replaceItemValueCustomData(java.lang.String arg0,
                                           java.lang.String arg1,
                                           java.lang.Object arg2)
                                    throws java.io.IOException,
                                           NotesException

    `java.io.IOException`
    `NotesException`

### replaceItemValueCustomData

    public Item replaceItemValueCustomData(java.lang.String arg0,
                                           java.lang.Object arg1)
                                    throws java.io.IOException,
                                           NotesException

    `java.io.IOException`
    `NotesException`

### replaceItemValueCustomDataBytes

    public Item replaceItemValueCustomDataBytes(java.lang.String arg0,
                                                java.lang.String arg1,
                                                byte[] arg2)
                                         throws java.io.IOException,
                                                NotesException

    `java.io.IOException`
    `NotesException`

### save

    public boolean save(boolean arg0,
                        boolean arg1,
                        boolean arg2)
                 throws NotesException

    `NotesException`

### save

    public boolean save(boolean arg0,
                        boolean arg1)
                 throws NotesException

    `NotesException`

### save

    public boolean save(boolean arg0)
                 throws NotesException

    `NotesException`

### save

    public boolean save()
                 throws NotesException

    `NotesException`

### send

    public void send(boolean arg0,
                     java.util.Vector arg1)
              throws NotesException

    `NotesException`

### send

    public void send(java.util.Vector arg0)
              throws NotesException

    `NotesException`

### send

    public void send(boolean arg0,
                     java.lang.String arg1)
              throws NotesException

    `NotesException`

### send

    public void send(java.lang.String arg0)
              throws NotesException

    `NotesException`

### send

    public void send(boolean arg0)
              throws NotesException

    `NotesException`

### send

    public void send()
              throws NotesException

    `NotesException`

### sign

    public void sign()
              throws NotesException

    `NotesException`

### getURL

    public java.lang.String getURL()
                            throws NotesException

    `NotesException`

### getNotesURL

    public java.lang.String getNotesURL()
                                 throws NotesException

    `NotesException`

### getHttpURL

    public java.lang.String getHttpURL()
                                throws NotesException

    `NotesException`

### generateXML

    public java.lang.String generateXML()
                                 throws NotesException

    `NotesException`

### generateXML

    public void generateXML(java.io.Writer arg0)
                     throws NotesException,
                            java.io.IOException

    `NotesException`
    `java.io.IOException`

### generateXML

    public void generateXML(java.lang.Object arg0,
                            XSLTResultTarget arg1)
                     throws java.io.IOException,
                            NotesException

    `java.io.IOException`
    `NotesException`

### getReceivedItemText

    public java.util.Vector getReceivedItemText()
                                         throws NotesException

    `NotesException`

### getLockHolders

    public java.util.Vector getLockHolders()
                                    throws NotesException

    `NotesException`

### lock

    public boolean lock()
                 throws NotesException

    `NotesException`

### lock

    public boolean lock(boolean arg0)
                 throws NotesException

    `NotesException`

### lock

    public boolean lock(java.lang.String arg0)
                 throws NotesException

    `NotesException`

### lock

    public boolean lock(java.lang.String arg0,
                        boolean arg1)
                 throws NotesException

    `NotesException`

### lock

    public boolean lock(java.util.Vector arg0)
                 throws NotesException

    `NotesException`

### lock

    public boolean lock(java.util.Vector arg0,
                        boolean arg1)
                 throws NotesException

    `NotesException`

### lockProvisional

    public boolean lockProvisional()
                            throws NotesException

    `NotesException`

### lockProvisional

    public boolean lockProvisional(java.lang.String arg0)
                            throws NotesException

    `NotesException`

### lockProvisional

    public boolean lockProvisional(java.util.Vector arg0)
                            throws NotesException

    `NotesException`

### unlock

    public void unlock()
                throws NotesException

    `NotesException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD